package db

import (
	"applet/app/db/model"
	"applet/app/utils/logx"
	"xorm.io/xorm"
)

type UserUseQrcodeRecordsDb struct {
	Db *xorm.Engine `json:"db"`
}

func (userUseQrcodeRecordsDb *UserUseQrcodeRecordsDb) Set() { // set方法
	userUseQrcodeRecordsDb.Db = Db
}

func (userUseQrcodeRecordsDb *UserUseQrcodeRecordsDb) GetUserUseQrcodeRecordsById(recordsId int) (m *model.UserUseQrcodeRecords, err error) {
	m = new(model.UserUseQrcodeRecords)
	has, err := userUseQrcodeRecordsDb.Db.Where("records_id =?", recordsId).Get(m)
	if err != nil {
		return nil, logx.Error(err)
	}
	if has == false {
		return nil, nil
	}
	return m, nil
}

func (userUseQrcodeRecordsDb *UserUseQrcodeRecordsDb) GetUserUseQrcodeRecordsByOpenId(openId string) (m *model.UserUseQrcodeRecords, err error) {
	m = new(model.UserUseQrcodeRecords)
	has, err := userUseQrcodeRecordsDb.Db.Where("user_wx_open_id =?", openId).Get(m)
	if err != nil {
		return nil, logx.Error(err)
	}
	if has == false {
		return nil, nil
	}
	return m, nil
}

func (userUseQrcodeRecordsDb *UserUseQrcodeRecordsDb) InsertUserUseQrcodeRecords(m *model.UserUseQrcodeRecords) (int64, error) {
	_, err := userUseQrcodeRecordsDb.Db.InsertOne(m)
	if err != nil {
		return 0, err
	}
	return m.Id, nil
}
